Package de.willuhn.jameica.hbci.server

# Class AddressbookHibiscusImpl.KontoAddress

java.lang.Object
de.willuhn.jameica.hbci.server.AddressbookHibiscusImpl.KontoAddress

All Implemented Interfaces:
  `Address`, `Remote`

Enclosing class:
  `AddressbookHibiscusImpl`

public class AddressbookHibiscusImpl.KontoAddress extends Object implements Address
Hilfsklasse, um ein Konto in ein Address-Interface zu packen

## Method Summary

Modifier and Type
Method
Description
`String`
`getBic()`
Liefert die BIC.
`String`
`getBlz()`
Liefert die BLZ.
`String`
`getIban()`
Liefert die IBAN.
`String`
`getKategorie()`
Liefert einen Freitext mit der Kategorie.
`String`
`getKommentar()`
Liefert einen zusaetzlichen Kommentar fuer den Adressbuch-Eintrag.
`String`
`getKontonummer()`
Liefert die Kontonummer.
`String`
`getName()`
Liefert den Namen.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### getBlz

public String getBlz() throws RemoteException
Description copied from interface: `Address`
Liefert die BLZ.

Specified by:
  `getBlz` in interface `Address`
Returns:
  BLZ.
Throws:
  `RemoteException` - BUGZILLA 534
See Also:
  - `Address.getBlz()`

### getKommentar

public String getKommentar() throws RemoteException
Description copied from interface: `Address`
Liefert einen zusaetzlichen Kommentar fuer den Adressbuch-Eintrag.

Specified by:
  `getKommentar` in interface `Address`
Returns:
  Kommentar.
Throws:
  `RemoteException`
See Also:
  - `Address.getKommentar()`

### getKontonummer

public String getKontonummer() throws RemoteException
Description copied from interface: `Address`
Liefert die Kontonummer.

Specified by:
  `getKontonummer` in interface `Address`
Returns:
  Kontonummer.
Throws:
  `RemoteException`
See Also:
  - `Address.getKontonummer()`

### getName

public String getName() throws RemoteException
Description copied from interface: `Address`
Liefert den Namen.

Specified by:
  `getName` in interface `Address`
Returns:
  Name.
Throws:
  `RemoteException`
See Also:
  - `Address.getName()`

### getBic

public String getBic() throws RemoteException
Description copied from interface: `Address`
Liefert die BIC.

Specified by:
  `getBic` in interface `Address`
Returns:
  die BIC.
Throws:
  `RemoteException`
See Also:
  - `Address.getBic()`

### getIban

public String getIban() throws RemoteException
Description copied from interface: `Address`
Liefert die IBAN.

Specified by:
  `getIban` in interface `Address`
Returns:
  die IBAN.
Throws:
  `RemoteException`
See Also:
  - `Address.getIban()`

### getKategorie

public String getKategorie() throws RemoteException
Description copied from interface: `Address`
Liefert einen Freitext mit der Kategorie.

Specified by:
  `getKategorie` in interface `Address`
Returns:
  Freitext mit der Kategorie.
Throws:
  `RemoteException`
See Also:
  - `Address.getKategorie()`